org.jboss.netty.handler.timeout

## Enum IdleState

- java.lang.Object
- - java.lang.Enum<IdleState>
  - - org.jboss.netty.handler.timeout.IdleState

- All Implemented Interfaces:
    Serializable, Comparable<IdleState>

      public enum IdleState
      extends Enum<IdleState>

  An `Enum` that represents the idle state of a `Channel`.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALL_IDLE` No data was either received or sent for a while.
    `READER_IDLE` No data was received for a while.
    `WRITER_IDLE` No data was sent for a while.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static IdleState` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static IdleState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### READER_IDLE

          public static final IdleState READER_IDLE

      No data was received for a while.

    - #### WRITER_IDLE

          public static final IdleState WRITER_IDLE

      No data was sent for a while.

    - #### ALL_IDLE

          public static final IdleState ALL_IDLE

      No data was either received or sent for a while.

  - ### Method Detail

    - #### values

          public static IdleState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IdleState c : IdleState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IdleState valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2008-2012 The Netty Project. All Rights Reserved.